Subject: Re: [2/2] powerpc/perf: Update perf_regs structure to include MMCRA

From: Michael Ellerman <[email-masked]>
Date: Mon, 14 Jan 2019 21:12:06 +1100 (AEDT)

On Sun, 2018-12-09 at 09:25:36 UTC, Madhavan Srinivasan wrote:
> On each sample, Monitor Mode Control Register A (MMCRA) content
> is saved in pt_regs. MMCRA does not have a entry as-is in the pt_regs
> but instead, MMCRA content is saved in the "dsisr" register of pt_regs.
> 
> Patch adds another entry to the perf_regs structure to include the "MMCRA"
> printing which internally maps to the "dsisr" of pt_regs.
> 
> It also check for the MMCRA availability in the platform and present
> value accordingly
> 
> Signed-off-by: Madhavan Srinivasan <[email-masked]>

Applied to powerpc fixes, thanks.

https://git.kernel.org/powerpc/c/6529870cb0323823f49b3e95d1760383

cheers